## org.eclipse.datatools.sqltools.core
Class SQLDevToolsConfiguration

    java.lang.Object
      org.eclipse.datatools.sqltools.core.SQLDevToolsConfiguration

    public class SQLDevToolsConfiguration

extends java.lang.Object

This class bundles the configuration space for a particular database. Instances of this class can be accessed through the `SQLToolsFacade` class.

Each instance of this class is associated with a `DatabaseVendorDefinitionId` for which it should provide a particular configuration service such as a connection service. Based on its specific knowledge about the returned object, the configuration might share such objects or compute them according to some rules.

Clients should subclass and override just those methods which must be specific to their needs.

Author:
  Hui Cao
See Also:
  `DatabaseVendorDefinitionId`

Method Summary
`ActionService` `getActionService()` Returns the Action service
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Returns an object which is an instance of the given class associated with this object.
`java.lang.String[]` `getAssociatedConnectionProfileType()` Returns the connection profile types associated with this configuration.
`ConnectionService` `getConnectionService()` Returns the connection service associated with this database definition
`IDatabaseSetting` `getDatabaseSetting(DatabaseIdentifier databaseIdentifier)` Return an IDatabaseSetting object which can be used to query database properties such as "case sensitive".
`DatabaseVendorDefinitionId` `getDatabaseVendorDefinitionId()` Returns the associated `DatabaseVendorDefinitionId` object.
`DBHelper` `getDBHelper()` Return a database-specific utility class.
`static SQLDevToolsConfiguration` `getDefaultInstance()`
`ExecutionService` `getExecutionService()` Returns the SQL execution service associated with this database definition
`IPlanService` `getPlanService()` Returns the query execution plan service associated with this database definition
`SQLDataService` `getSQLDataService()` Returns the SQL data service associated with this database definition
`SQLEditorService` `getSQLEditorService()` Returns the SQL Editor service associated with this database definition
`SQLService` `getSQLService()` Returns the SQL service associated with this database definition
`ITemplateService` `getTemplateService()`
`UIComponentService` `getUIComponentService()` Returns the SQL execution service associated with this database definition
`boolean` `recognize(java.lang.String product, java.lang.String version)` Returns true if the given product name and version is recognized by this SQLDevToolsConfiguration.
`void` `setDatabaseVendorDefinitionId(DatabaseVendorDefinitionId dbdefinitionId)` Associcates this factory with a particular `DatabaseVendorDefinitionId`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultInstance

    public static SQLDevToolsConfiguration getDefaultInstance()

### getDatabaseVendorDefinitionId

    public DatabaseVendorDefinitionId getDatabaseVendorDefinitionId()

  Returns the associated `DatabaseVendorDefinitionId` object. A `SQLDevToolsConfiguration` is attached to a certain `DatabaseVendorDefinitionId`. `DatabaseVendorDefinitionId` specifies the database specific capabilities, while a `SQLDevToolsConfiguration` encapsulates database specific algorithms.

  Returns:
    The associated `DatabaseDefinition` object.

### setDatabaseVendorDefinitionId

    public void setDatabaseVendorDefinitionId(DatabaseVendorDefinitionId dbdefinitionId)

  Associcates this factory with a particular `DatabaseVendorDefinitionId`. This method should only be called once by the `SQLDevToolsConfigRegistry`.

  Parameters:
    `dbdefinition` - the associated `DatabaseDefinition` object.

### getConnectionService

    public ConnectionService getConnectionService()

  Returns the connection service associated with this database definition

### getSQLService

    public SQLService getSQLService()

  Returns the SQL service associated with this database definition

### getPlanService

    public IPlanService getPlanService()

  Returns the query execution plan service associated with this database definition

### getSQLEditorService

    public SQLEditorService getSQLEditorService()

  Returns the SQL Editor service associated with this database definition

### getSQLDataService

    public SQLDataService getSQLDataService()

  Returns the SQL data service associated with this database definition

### getExecutionService

    public ExecutionService getExecutionService()

  Returns the SQL execution service associated with this database definition

### getUIComponentService

    public UIComponentService getUIComponentService()

  Returns the SQL execution service associated with this database definition

### getDatabaseSetting

    public IDatabaseSetting getDatabaseSetting(DatabaseIdentifier databaseIdentifier)

  Return an IDatabaseSetting object which can be used to query database properties such as "case sensitive".

  Parameters:
    `databaseIdentifier` - uniquely identifies a database

### getDBHelper

    public DBHelper getDBHelper()

  Return a database-specific utility class.

### getActionService

    public ActionService getActionService()

  Returns the Action service

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Returns an object which is an instance of the given class associated with this object. Returns `null` if no such object can be found.

  This can be used by subclasses to create extensions not covered by above services.

  Parameters:
    `adapter` - the adapter class to look up
  Returns:
    a object castable to the given class, or `null` if this object does not have an adapter for the given class

### recognize

    public boolean recognize(java.lang.String product,
                             java.lang.String version)

  Returns true if the given product name and version is recognized by this SQLDevToolsConfiguration. By default always returns false. Subclasses must override it.

  Parameters:
    `product` -
    `version` -
  Returns:

### getAssociatedConnectionProfileType

    public java.lang.String[] getAssociatedConnectionProfileType()

  Returns the connection profile types associated with this configuration. The default implementation simply returns null to indicate there's no specific associated connection profile type. Subclasses may override.

  Returns:
  See Also:
    `point: org.eclipse.datatools.connectivity.connectionProfile`

### getTemplateService

    public ITemplateService getTemplateService()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.